/*
 * Class LINKED_LIST [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1590 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1590 [] = {0xFF01,1551,1589,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1590 [] = {0xFF01,1589,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1590 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1590 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1590 [] = {0xFF01,1589,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1590 [] = {0xFF01,1589,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1590 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1590 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1590 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1590 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1590 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1590 [] = {1589,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1590 [] = {0xFF01,1589,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1590 [] = {0xFF01,1560,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1590 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1590 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1590 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1590 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1590 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1590 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1590 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1590 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1590 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1590 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1590 [] = {0xFF01,1589,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1590 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1590 [] = {0xFF02,1591,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1590 [] = {0xFF01,1591,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1590 [] = {1591,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1590 [] = {1591,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1590 [] = {1591,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_32_1590 [] = {1591,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_33_1590 [] = {0xFF01,1590,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_34_1590 [] = {0xFF01,1593,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_1590 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_36_1590 [] = {0xFF01,1589,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_37_1590 [] = {869,0xFFFF};


static const struct desc_info desc_1590[] = {
	{EIF_GENERIC(NULL), 12567, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1590), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1590), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12448, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1590), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12604, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1590), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1590), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1590), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1590), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1590), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1590), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1590), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1590), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1590), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1590), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1590), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12003, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8599, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8602, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1590), 8759, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1590), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1590), 12569, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9232, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9075, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12597, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12600, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12004, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8944, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12572, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12007, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1590), 8752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8753, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12578, 10},
	{EIF_GENERIC(NULL), 12587, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12588, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1590), 12005, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1590), 12008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12013, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1590), 12005, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1590), 12006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12013, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12019, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12019, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1590), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1590), 12570, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1590), 12571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12590, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12591, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12581, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12018, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11998, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1590), 12362, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8749, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8748, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12357, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12358, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12585, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9235, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11997, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12359, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12360, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12603, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1590), 12569, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12586, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8755, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8756, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8757, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8758, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12579, 9},
	{EIF_GENERIC(NULL), 12589, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8750, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9233, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12020, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12007, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12361, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12568, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1590), 12575, 0},
	{EIF_GENERIC(egt_28_1590), 12606, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1590), 12607, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1590), 12608, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_1590), 12609, 4},
	{EIF_GENERIC(egt_32_1590), 12610, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12611, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12612, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12579, 9},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12578, 10},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12576, 12},
	{EIF_GENERIC(egt_33_1590), 12573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12583, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12592, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_1590), 12574, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_1590), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12576, 12},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12584, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12599, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12602, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_1590), 12605, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_1590), -1, 0xFFFFFFFF},
};
void Init1590(void)
{
	IDSC(desc_1590, 0, 1589);
	IDSC(desc_1590 + 1, 1, 1589);
	IDSC(desc_1590 + 32, 1134, 1589);
	IDSC(desc_1590 + 41, 1060, 1589);
	IDSC(desc_1590 + 47, 1444, 1589);
	IDSC(desc_1590 + 56, 1570, 1589);
	IDSC(desc_1590 + 59, 916, 1589);
	IDSC(desc_1590 + 65, 636, 1589);
	IDSC(desc_1590 + 79, 1135, 1589);
	IDSC(desc_1590 + 88, 1534, 1589);
	IDSC(desc_1590 + 95, 1245, 1589);
	IDSC(desc_1590 + 98, 387, 1589);
	IDSC(desc_1590 + 100, 778, 1589);
	IDSC(desc_1590 + 101, 658, 1589);
	IDSC(desc_1590 + 102, 546, 1589);
	IDSC(desc_1590 + 114, 254, 1589);
	IDSC(desc_1590 + 117, 1088, 1589);
	IDSC(desc_1590 + 119, 554, 1589);
	IDSC(desc_1590 + 120, 878, 1589);
	IDSC(desc_1590 + 121, 340, 1589);
	IDSC(desc_1590 + 129, 794, 1589);
}


#ifdef __cplusplus
}
#endif
